<?xml version="1.0" encoding="UTF-8"?>
<spirit:component xmlns:spirit="http://www.spiritconsortium.org/XMLSchema/SPIRIT/1.5" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.spiritconsortium.org/XMLSchema/SPIRIT/1.5 http://www.spiritconsortium.org/XMLSchema/SPIRIT/1.5/index.xsd">
	<spirit:vendor>www.edalab.it</spirit:vendor>
	<spirit:library>work</spirit:library>
	<spirit:name>sensor</spirit:name>
	<spirit:version>1.0</spirit:version>
	<spirit:model>
		<spirit:views>
			<spirit:view>
				<spirit:name>vhdlView</spirit:name>
				<spirit:displayName>This is the vhdl view of sensor</spirit:displayName>
				<spirit:envIdentifier>vhdl:modelsim.mentor.com:</spirit:envIdentifier>
				<spirit:envIdentifier>vhdl:vcs.synopsys.com:</spirit:envIdentifier>
				<spirit:envIdentifier>vhdl:designcompiler.synopsys.com:</spirit:envIdentifier>
				<spirit:language>vhdl</spirit:language>
				<spirit:modelName>sensor(behav)</spirit:modelName>
				<spirit:fileSetRef>
					<spirit:localName>sensor</spirit:localName>
				</spirit:fileSetRef>
			</spirit:view>
		</spirit:views>
		<spirit:ports>
			<spirit:port>
				<spirit:name>pclk</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>presetn</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>paddr</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>psel</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>penable</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>pwrite</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>pwdata</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>pready</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>prdata</spirit:name>
				<spirit:wire>
					<spirit:direction>out</spirit:direction>
					<spirit:vector>
						<spirit:left>31</spirit:left>
						<spirit:right>0</spirit:right>
					</spirit:vector>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="false">std_logic_vector</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>sensor_high</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
			<spirit:port>
				<spirit:name>sensor_low</spirit:name>
				<spirit:wire>
					<spirit:direction>in</spirit:direction>
					<spirit:wireTypeDefs>
						<spirit:wireTypeDef>
							<spirit:typeName spirit:constrained="true">std_logic</spirit:typeName>
							<spirit:typeDefinition>IEEE.std_logic_1164.all</spirit:typeDefinition>
							<spirit:viewNameRef>vhdlView</spirit:viewNameRef>
						</spirit:wireTypeDef>
					</spirit:wireTypeDefs>
				</spirit:wire>
			</spirit:port>
		</spirit:ports>
	</spirit:model>
	<spirit:fileSets>
		<spirit:fileSet>
			<spirit:name>sensor</spirit:name>
			<spirit:file>
				<spirit:name>../vhdl/</spirit:name>
				<spirit:fileType>vhdlSource</spirit:fileType>
				<spirit:logicalName>sensor</spirit:logicalName>
			</spirit:file>
		</spirit:fileSet>
	</spirit:fileSets>
</spirit:component>
